package cn.com.qmth.stmms.admin.dto;

import cn.com.qmth.stmms.biz.exam.model.ExamSubject;
import cn.com.qmth.stmms.common.annotation.ExcelField;

public class MarkInfoDTO {

    @ExcelField(title = "课程代码", align = 2, sort = 10)
    private String subjectCode;

    @ExcelField(title = "课程名称", align = 2, sort = 20)
    private String subjectName;

    @ExcelField(title = "上传人数", align = 2, sort = 30)
    private long uploadCount;

    @ExcelField(title = "总分", align = 2, sort = 40)
    private double totalScore;

    @ExcelField(title = "分组总数", align = 2, sort = 50)
    private long groupCount;

    @ExcelField(title = "评卷进度", align = 2, sort = 60)
    private String percent;

    @ExcelField(title = "待复核量", align = 2, sort = 70)
    private long inspectedCount;

    public MarkInfoDTO(ExamSubject subject) {
        setSubjectCode(subject.getCode());
        setSubjectName(subject.getName());
        setTotalScore(subject.getTotalScore());
        setUploadCount(subject.getUploadCount());
    }

    public String getSubjectCode() {
        return subjectCode;
    }

    public void setSubjectCode(String subjectCode) {
        this.subjectCode = subjectCode;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public long getUploadCount() {
        return uploadCount;
    }

    public void setUploadCount(long uploadCount) {
        this.uploadCount = uploadCount;
    }

    public double getTotalScore() {
        return totalScore;
    }

    public void setTotalScore(double totalScore) {
        this.totalScore = totalScore;
    }

    public long getGroupCount() {
        return groupCount;
    }

    public void setGroupCount(long groupCount) {
        this.groupCount = groupCount;
    }

    public String getPercent() {
        return percent;
    }

    public void setPercent(String percent) {
        this.percent = percent;
    }

    public long getInspectedCount() {
        return inspectedCount;
    }

    public void setInspectedCount(long inspectedCount) {
        this.inspectedCount = inspectedCount;
    }

}
